import { DataSource, ViewEntity, ViewColumn } from 'typeorm';
import { Institucion } from '../institucion.entity';

@ViewEntity({
  expression: (dataSource: DataSource) =>
    dataSource
      .createQueryBuilder()
      .select('i.id_institucion', 'id_institucion')
      .from(Institucion, 'i')
      .orderBy('institucion', 'ASC'),
})
export class InformacionInstitucionView {
  @ViewColumn()
  id_institucion: number;
}
